#
# Conditional build:
%bcond_without	python3	# CPython 3.x module

%define 	module	WebOb
Summary:	WSGI request and response object
Name:		python-%{module}
Version:	1.2.3
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/W/WebOb/%{module}-%{version}.tar.gz
# Source0-md5:	11825b7074ba7043e157805e4e6e0f55
URL:		http://webob.org/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%package -n python3-%{module}
Summary:	Add options to doctest examples while they are running
Group:		Libraries/Python

%description -n python3-%{module}
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%prep
%setup -q -n %{module}-%{version}

%if %{with python3}
rm -rf build-3
set -- *
install -d build-3
cp -a "$@" build-3
%endif

%build
%{__python} setup.py build

%if %{with python3}
cd build-3
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%if %{with python3}
cd build-3
%{__python3} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/webob
%{py_sitescriptdir}/webob/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/WebOb-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/webob
%{py3_sitescriptdir}/webob/*.py
%{py3_sitescriptdir}/webob/__pycache__
%{py3_sitescriptdir}/WebOb-%{version}-py*.egg-info
%endif
%changelog
* Sat Mar 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-WebOb.git;a=log;h=master

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 5c52e33
add python3 packages

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> d7f7400
up to 1.2.3

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 0c1d649
- up to 1.0.3

* Sat Nov 06 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 12cb6b9
- new

